| OpenCV 3.4.1 Open Source Computer Vision

Classes | Public Attributes | List of all members
cv::bioinspired::RetinaParameters Struct Reference
Biologically inspired vision models and derivated tools

retina model parameters structure More...

`#include "retina.hpp"`

## Classes
struct | IplMagnoParameters
| Inner Plexiform Layer Magnocellular channel (IplMagno) More...
struct | OPLandIplParvoParameters
| Outer Plexiform Layer (OPL) and Inner Plexiform Layer Parvocellular (IplParvo) parameters. More...

## Public Attributes
IplMagnoParameters | IplMagno
OPLandIplParvoParameters | OPLandIplParvo

## Detailed Description

retina model parameters structure

For better clarity, check explenations on the comments of methods : setupOPLandIPLParvoChannel and setupIPLMagnoChannel

Here is the default configuration file of the retina module. It gives results such as the first retina output shown on the top of this page.

<?xml version="1.0"?>
<opencv_storage>
<OPLandIPLparvo>
<colorMode>1</colorMode>
<normaliseOutput>1</normaliseOutput>
<photoreceptorsLocalAdaptationSensitivity>7.5e-01</photoreceptorsLocalAdaptationSensitivity>
<photoreceptorsTemporalConstant>9.0e-01</photoreceptorsTemporalConstant>
<photoreceptorsSpatialConstant>5.3e-01</photoreceptorsSpatialConstant>
<horizontalCellsGain>0.01</horizontalCellsGain>
<hcellsTemporalConstant>0.5</hcellsTemporalConstant>
<hcellsSpatialConstant>7.</hcellsSpatialConstant>
<ganglionCellsSensitivity>7.5e-01</ganglionCellsSensitivity></OPLandIPLparvo>
<IPLmagno>
<normaliseOutput>1</normaliseOutput>
<parasolCells_beta>0.</parasolCells_beta>
<parasolCells_tau>0.</parasolCells_tau>
<parasolCells_k>7.</parasolCells_k>
<amacrinCellsTemporalCutFrequency>2.0e+00</amacrinCellsTemporalCutFrequency>
<V0CompressionParameter>9.5e-01</V0CompressionParameter>
<localAdaptintegration_tau>0.</localAdaptintegration_tau>
<localAdaptintegration_k>7.</localAdaptintegration_k></IPLmagno>
</opencv_storage>

Here is the 'realistic" setup used to obtain the second retina output shown on the top of this page.

<?xml version="1.0"?>
<opencv_storage>
<OPLandIPLparvo>
<colorMode>1</colorMode>
<normaliseOutput>1</normaliseOutput>
<photoreceptorsLocalAdaptationSensitivity>8.9e-01</photoreceptorsLocalAdaptationSensitivity>
<photoreceptorsTemporalConstant>9.0e-01</photoreceptorsTemporalConstant>
<photoreceptorsSpatialConstant>5.3e-01</photoreceptorsSpatialConstant>
<horizontalCellsGain>0.3</horizontalCellsGain>
<hcellsTemporalConstant>0.5</hcellsTemporalConstant>
<hcellsSpatialConstant>7.</hcellsSpatialConstant>
<ganglionCellsSensitivity>8.9e-01</ganglionCellsSensitivity></OPLandIPLparvo>
<IPLmagno>
<normaliseOutput>1</normaliseOutput>
<parasolCells_beta>0.</parasolCells_beta>
<parasolCells_tau>0.</parasolCells_tau>
<parasolCells_k>7.</parasolCells_k>
<amacrinCellsTemporalCutFrequency>2.0e+00</amacrinCellsTemporalCutFrequency>
<V0CompressionParameter>9.5e-01</V0CompressionParameter>
<localAdaptintegration_tau>0.</localAdaptintegration_tau>
<localAdaptintegration_k>7.</localAdaptintegration_k></IPLmagno>
</opencv_storage>

## Member Data Documentation

## § IplMagno

IplMagnoParameters cv::bioinspired::RetinaParameters::IplMagno

## § OPLandIplParvo

OPLandIplParvoParameters cv::bioinspired::RetinaParameters::OPLandIplParvo

The documentation for this struct was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/bioinspired/include/opencv2/bioinspired/retina.hpp